using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.BusinessLogicsContracts
{
    public interface ICostLogic
    {
        List<CostViewModel>? ReadList(CostSearchModel? model);
        CostViewModel? ReadElement(CostSearchModel model);
        bool Create(CostBindingModel model);
        bool Update(CostBindingModel model);
        bool Delete(CostBindingModel model);
    }
}
